package nc.ui.gl.accbookprint;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Frame;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Vector;
import nc.ui.gl.common.CompConsts;
import nc.ui.gl.common.DlgComponent;
import nc.ui.glcom.control.GlComboBox;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.beans.UIButton;
import nc.ui.pub.beans.UICheckBox;
import nc.ui.pub.beans.UIDialog;
import nc.ui.pub.beans.UILabel;
import nc.ui.pub.beans.UIPanel;
import nc.ui.pub.beans.UIRefPane;
import nc.ui.pub.beans.UITextField;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.accbookprint.PrintitemVO;
import nc.vo.pub.lang.UFBoolean;

public class PrintJobQryDlg extends UIDialog {

   private UIButton ivjUIButtonCancel = null;
   private UIButton ivjUIButtonOK = null;
   private UIPanel ivjUIDialogContentPane = null;
   private UIPanel ivjUIPanel2 = null;
   PrintJobQryDlg.IvjEventHandler ivjEventHandler = new PrintJobQryDlg.IvjEventHandler();
   private ClientEnvironment ce = ClientEnvironment.getInstance();
   private String m_pk_glorgbook;
   private UIPanel ivjQryConditionPanel = null;
   private UILabel labelCode = null;
   private UITextField textFieldCode = null;
   private UILabel labelName = null;
   private UITextField textFieldName = null;
   private UILabel labelPrintObject = null;
   private GlComboBox comboBoxPrintObject = null;
   private UILabel labelUser = null;
   private UIRefPane UIRefPaneUser = null;
   private UICheckBox cbIncludePublic = null;
   private UILabel labelMemo = null;
   private UITextField textFieldMemo = null;


   public PrintJobQryDlg() {
      this.initialize();
   }

   public PrintJobQryDlg(Container parent) {
      super(parent);
   }

   public PrintJobQryDlg(Container parent, String title) {
      super(parent, title);
   }

   public PrintJobQryDlg(Frame owner) {
      super(owner);
   }

   public PrintJobQryDlg(Frame owner, String title) {
      super(owner, title);
   }

   private void connEtoC1() {
      try {
         this.uIButtonOK_ActionEvents();
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   private void connEtoC2() {
      try {
         this.uIButtonCancel_ActionEvents();
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   public PrintitemVO getconVO() {
      PrintitemVO conVO = new PrintitemVO();
      if(this.getTextFieldCode().getText() != null && this.getTextFieldCode().getText().trim().length() != 0) {
         conVO.setItemcode(this.getTextFieldCode().getText().trim());
      }

      if(this.getTextFieldName().getText() != null && this.getTextFieldName().getText().trim().length() != 0) {
         conVO.setItemname(this.getTextFieldName().getText().trim());
      }

      if(this.getComboBoxPrintObject().getSelectedIndex() != 0) {
         conVO.setPrintobjectcode(this.getComboBoxPrintObject().getSelectedUserData().toString());
      }

      if(this.getUIRefPaneUser().getRefPK() != null) {
         String pk_user = this.getUIRefPaneUser().getRefPK();
         Vector v_user = new Vector();
         v_user.addElement(pk_user);
         conVO.setV_user(v_user);
      }

      if(this.getCbIncludePublic().isSelected()) {
         conVO.setIspublic(new UFBoolean(true));
      } else {
         conVO.setIspublic(new UFBoolean(false));
      }

      if(this.getTextFieldMemo().getText() != null && this.getTextFieldMemo().getText().trim().length() != 0) {
         conVO.setMemo(this.getTextFieldMemo().getText().trim());
      }

      conVO.setPk_glorgbook(this.getPK_GLOrgBook());
      return conVO;
   }

   private UIButton getUIButtonCancel() {
      if(this.ivjUIButtonCancel == null) {
         try {
            this.ivjUIButtonCancel = new UIButton();
            this.ivjUIButtonCancel.setName("UIButtonCancel");
            this.ivjUIButtonCancel.setText(NCLangRes.getInstance().getStrByID("200235", "UPP200235-000023"));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIButtonCancel;
   }

   private UIButton getUIButtonOK() {
      if(this.ivjUIButtonOK == null) {
         try {
            this.ivjUIButtonOK = new UIButton();
            this.ivjUIButtonOK.setName("UIButtonOK");
            this.ivjUIButtonOK.setText(NCLangRes.getInstance().getStrByID("200235", "UPP200235-000036"));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIButtonOK;
   }

   private UIPanel getUIDialogContentPane() {
      if(this.ivjUIDialogContentPane == null) {
         try {
            this.ivjUIDialogContentPane = new UIPanel();
            this.ivjUIDialogContentPane.setName("UIDialogContentPane");
            this.ivjUIDialogContentPane.setLayout(new BorderLayout());
            this.getUIDialogContentPane().add(this.getQryConditionPanel(), "Center");
            this.getUIDialogContentPane().add(this.getUIPanel2(), "South");
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIDialogContentPane;
   }

   private UIPanel getUIPanel2() {
      if(this.ivjUIPanel2 == null) {
         try {
            this.ivjUIPanel2 = new UIPanel();
            this.ivjUIPanel2.setName("UIPanel2");
            this.getUIPanel2().add(this.getUIButtonOK(), this.getUIButtonOK().getName());
            this.getUIPanel2().add(this.getUIButtonCancel(), this.getUIButtonCancel().getName());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIPanel2;
   }

   private void handleException(Throwable exception) {
   }

   private void initConnections() throws Exception {
      this.getUIButtonOK().addActionListener(this.ivjEventHandler);
      this.getUIButtonCancel().addActionListener(this.ivjEventHandler);
      this.getCbIncludePublic().addActionListener(this.ivjEventHandler);
   }

   private void initialize() {
      try {
         this.setName("CashFlowQueryQ");
         this.setDefaultCloseOperation(2);
         this.setContentPane(DlgComponent.getMainDlgPanel(this.getUIDialogContentPane(), new UIButton[]{this.getUIButtonOK(), this.getUIButtonCancel()}));
         this.initConnections();
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getCbIncludePublic().setSelected(true);
      this.setSize(this.getDlgWidth(this.getTextFieldMemo()), this.getDlgHeight(this.getTextFieldMemo()));
   }

   public static void main(String[] args) {
      try {
         PrintJobQryDlg exception = new PrintJobQryDlg();
         exception.setModal(true);
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var3) {
         System.err.println("nc.ui.pub.beans.UIDialog 的 main() 中发生异常");
         var3.printStackTrace(System.out);
      }

   }

   public void uIButtonCancel_ActionEvents() {
      this.closeCancel();
   }

   public void uIButtonOK_ActionEvents() {
      this.closeOK();
   }

   public String getPK_GLOrgBook() {
      if(this.m_pk_glorgbook == null) {
         this.m_pk_glorgbook = ((GlorgbookVO)this.ce.getValue("pk_glorgbook")).m_pk_glorgbook;
      }

      return this.m_pk_glorgbook;
   }

   private UIPanel getQryConditionPanel() {
      if(this.ivjQryConditionPanel == null) {
         try {
            this.labelCode = new UILabel();
            this.labelCode.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000555"));
            this.labelCode.setBoundsAutoSize(CompConsts.getEmptyX(), CompConsts.getEmptyY());
            this.labelName = new UILabel();
            this.labelName.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000556"));
            this.labelName.setBoundsAutoSize(CompConsts.getEmptyX(), CompConsts.getYByBefore(this.labelCode));
            this.labelPrintObject = new UILabel();
            this.labelPrintObject.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000557"));
            this.labelPrintObject.setBoundsAutoSize(CompConsts.getEmptyX(), CompConsts.getYByBefore(this.labelName));
            this.labelUser = new UILabel();
            this.labelUser.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000559"));
            this.labelUser.setBoundsAutoSize(CompConsts.getEmptyX(), CompConsts.getYByBefore(this.labelPrintObject));
            this.labelMemo = new UILabel();
            this.labelMemo.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000422"));
            this.labelMemo.setBoundsAutoSize(CompConsts.getEmptyX(), CompConsts.getYByBefore(this.getCbIncludePublic()));
            this.ivjQryConditionPanel = new UIPanel();
            this.ivjQryConditionPanel.setName("QryConditionPanel");
            this.ivjQryConditionPanel.setLayout((LayoutManager)null);
            this.ivjQryConditionPanel.add(this.labelCode, (Object)null);
            this.ivjQryConditionPanel.add(this.getTextFieldCode(), (Object)null);
            this.ivjQryConditionPanel.add(this.labelName, (Object)null);
            this.ivjQryConditionPanel.add(this.getTextFieldName(), (Object)null);
            this.ivjQryConditionPanel.add(this.labelPrintObject, (Object)null);
            this.ivjQryConditionPanel.add(this.getComboBoxPrintObject(), (Object)null);
            this.ivjQryConditionPanel.add(this.labelUser, (Object)null);
            this.ivjQryConditionPanel.add(this.getUIRefPaneUser(), (Object)null);
            this.ivjQryConditionPanel.add(this.getCbIncludePublic(), (Object)null);
            this.ivjQryConditionPanel.add(this.labelMemo, (Object)null);
            this.ivjQryConditionPanel.add(this.getTextFieldMemo(), (Object)null);
            this.ivjQryConditionPanel.setBounds(CompConsts.getEmptyX(), CompConsts.getEmptyY(), this.getDlgWidth(this.getTextFieldMemo()), this.getDlgHeight(this.getTextFieldMemo()));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjQryConditionPanel;
   }

   private UITextField getTextFieldCode() {
      if(this.textFieldCode == null) {
         this.textFieldCode = new UITextField();
         this.textFieldCode.setBounds(CompConsts.getXByBefore(this.labelCode, 0), CompConsts.getEmptyY(), CompConsts.getTextFieldWidth(), CompConsts.getTextHeight());
      }

      return this.textFieldCode;
   }

   private UITextField getTextFieldName() {
      if(this.textFieldName == null) {
         this.textFieldName = new UITextField();
         this.textFieldName.setBounds(CompConsts.getXByBefore(this.labelCode, 0), CompConsts.getYByBefore(this.getTextFieldCode()), CompConsts.getTextFieldWidth(), CompConsts.getTextHeight());
      }

      return this.textFieldName;
   }

   private GlComboBox getComboBoxPrintObject() {
      if(this.comboBoxPrintObject == null) {
         this.comboBoxPrintObject = new GlComboBox();
         this.comboBoxPrintObject.setBounds(CompConsts.getXByBefore(this.labelCode, 0), CompConsts.getYByBefore(this.getTextFieldName()), CompConsts.getSelWidth("三栏式明细账"), CompConsts.getTextHeight());
         this.comboBoxPrintObject.addItem("", "all");
         this.comboBoxPrintObject.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000534"), "generalbook");
         this.comboBoxPrintObject.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000309"), "detailbook");
         this.comboBoxPrintObject.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000332"), "diarybook");
         this.comboBoxPrintObject.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000295"), "assdetail");
         this.comboBoxPrintObject.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000170"), "assbalance");
      }

      return this.comboBoxPrintObject;
   }

   private UIRefPane getUIRefPaneUser() {
      if(this.UIRefPaneUser == null) {
         this.UIRefPaneUser = new UIRefPane();
         this.UIRefPaneUser.setName("RefOperator");
         this.UIRefPaneUser.setRefNodeName("权限操作员");
         this.UIRefPaneUser.setAdjustHight(true);
         this.UIRefPaneUser.setBounds(CompConsts.getXByBefore(this.labelCode, 0), CompConsts.getYByBefore(this.getComboBoxPrintObject()), CompConsts.getTextFieldWidth(), CompConsts.getTextHeight());
         this.UIRefPaneUser.setMultiSelectedEnabled(false);
      }

      return this.UIRefPaneUser;
   }

   private UICheckBox getCbIncludePublic() {
      if(this.cbIncludePublic == null) {
         this.cbIncludePublic = new UICheckBox();
         this.cbIncludePublic.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000644"));
         this.cbIncludePublic.setBounds(CompConsts.getXByBefore(this.labelCode, 0), CompConsts.getYByBefore(this.getUIRefPaneUser()), CompConsts.getCbxTxtWidth(this.cbIncludePublic.getText()), CompConsts.getTextHeight());
      }

      return this.cbIncludePublic;
   }

   private UITextField getTextFieldMemo() {
      if(this.textFieldMemo == null) {
         this.textFieldMemo = new UITextField();
         this.textFieldMemo.setBounds(CompConsts.getXByBefore(this.labelCode, 0), CompConsts.getYByBefore(this.getCbIncludePublic()), CompConsts.getTextFieldWidth(), CompConsts.getTextHeight());
      }

      return this.textFieldMemo;
   }

   private void connEtoC3(ActionEvent e) {
      try {
         if(e.getSource().equals(this.getCbIncludePublic())) {
            ;
         }
      } catch (Throwable var3) {
         this.handleException(var3);
      }

   }

   class IvjEventHandler implements ActionListener {

      public void actionPerformed(ActionEvent e) {
         if(e.getSource() == PrintJobQryDlg.this.getUIButtonOK()) {
            PrintJobQryDlg.this.connEtoC1();
         }

         if(e.getSource() == PrintJobQryDlg.this.getUIButtonCancel()) {
            PrintJobQryDlg.this.connEtoC2();
         }

         if(e.getSource() == PrintJobQryDlg.this.getCbIncludePublic()) {
            PrintJobQryDlg.this.connEtoC3(e);
         }

      }
   }
}
